------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情4
--Creator:		江宇君
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>235
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(167,163)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()

hero:SetPos(171,171)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(6)


local playerMonster1 = CppScriptMgr:AddPlayer(175,173,162, "Odd Invader")
playerMonster1:SetZoomPercent(200);
local playerBoy1 = CppScriptMgr:AddSimplePlayer(48590,164,167, "Little Boy", 400300001,1)
playerBoy1:AddEffect("SLTZ_Last");
playerBoy1:Say("Help! Help me!", 2000)
-- CppScriptMgr:SetViewPosByCell(47,55)
-- CppScriptMgr:SetViewPosByCell(46,54)
-- CppScriptMgr:SetViewPosByCell(46,53)
-- CppScriptMgr:SetViewPosByCell(46,52)
-- CppScriptMgr:SetViewPosByCell(46,51)
CppScriptMgr:WaitMilSec(2000)
hero:Say("It`s you! Twisted City invader!", 2000)

CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Hello again, loser! Try to save people and fail again?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

hero:Say("This time, I`ve got the Taoist Tool!", 2000)

CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Hmph, so what? Just one of them.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

hero:Say("You!", 2000)

CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Let me remind you, your trial will stop here if you fail.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

hero:Say("Help him or not...", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)




